Subject: Re: K&R c pre-processor

From: [email-masked]
Date: Sat, 1 Jul 2000 22:17:21 -0400

I know of only two cpps from here;   the one in  V7 V8...V10
whose README says that it's a version
of the Reiser one from V7,  and the one I did more recently,
which is definitely intended for ANSI (as of C89).  Both
are readily available; for example the ANSI one is part
of LCC.

In looking through versions of the earlier one (directly descended
from V7 via Reiser and Berkeley) there are
a lot of messy differences.  (I was tempted to say
a priori that they wouldn't be there, but they are.)

What's actually needed?

	Dennis

Subject: K&R c pre-processor
From: Warren Toomey <[email-masked]>
To: [email-masked] (Dennis Ritchie)
Date: Sun, 2 Jul 2000 10:17:24 +1000 (EST)

Dennis,
	Someone just asked me about a freely-available K&R C pre-processor.
Definitely K&R, not ANSI C. I have a vague memory that you posted such a
beast, or gave me one, about 5 years ago.

Many thanks for any pointers.

Cheers!
	Warren